/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG07_Tarea;

import java.beans.PropertyVetoException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import persistencia.TrabajoClass;
import persistencia.UtilClass;

/**
 *
 * @author Abraham Fernandez Sanchez
 */
public class WindowNewTipoTrabajo extends javax.swing.JInternalFrame {

    UtilClass util;
    TrabajoClass trabajo;
    /**
     * Creates new form WindowNewTipoTrabajo
     */
    public WindowNewTipoTrabajo() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jTextFieldNombreTrabajo = new javax.swing.JTextField();
        jButtonAceptar = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Nuevo Tipo de Trabajo");

        jLabel1.setText("Nombre del puesto de trabajo a añadir : ");

        jButtonAceptar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f00c(3)_32.png"))); // NOI18N
        jButtonAceptar.setText("Aceptar");
        jButtonAceptar.setToolTipText("Añadir un nuevo puesto de trabajo");
        jButtonAceptar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAceptarActionPerformed(evt);
            }
        });

        jButtonCancelar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f00d(2)_32.png"))); // NOI18N
        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.setToolTipText("Cancelar la accion");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldNombreTrabajo)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButtonAceptar)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonCancelar)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextFieldNombreTrabajo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonAceptar)
                    .addComponent(jButtonCancelar))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonAceptarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAceptarActionPerformed
        util = new UtilClass();
        String nombreTrabajo = jTextFieldNombreTrabajo.getText();
        trabajo = new TrabajoClass(nombreTrabajo);
        util.addnewTrabajo(trabajo);   
        try {
            confirmacionAccion();
        } catch (PropertyVetoException ex) {
            Logger.getLogger(WindowNewTipoTrabajo.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButtonAceptarActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
        try {
            this.setClosed(true);            
        } catch (PropertyVetoException ex) {
            Logger.getLogger(WindowNewEmpleado.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    /**
     * Metodo para confirmar la accion de guardar un nuevo trabajo y en el caso afirmativo seguir introduciendo otros trabajos o no
     * @throws java.beans.PropertyVetoException Excepcion
     */
    public void confirmacionAccion() throws PropertyVetoException{    
            //0=SI - 1=NO 
            String mensaje = "' "+jTextFieldNombreTrabajo.getText()+" ' ha sido añadido como trabajo correctamente. \n¿ Desea crear un nuevo Trabajo ?";
            int respuesta = JOptionPane.showConfirmDialog(null, mensaje, "Confirmación", JOptionPane.YES_NO_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if(respuesta==0){                
                jTextFieldNombreTrabajo.setText("");
            }else{  
                try {
                    this.setClosed(true);            
                } catch (PropertyVetoException ex) {
                    Logger.getLogger(WindowNewEmpleado.class.getName()).log(Level.SEVERE, null, ex);
                } 
            }    
    }    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAceptar;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JTextField jTextFieldNombreTrabajo;
    // End of variables declaration//GEN-END:variables
}
